@if $nav==true {
    nav {
        display: flex;
        flex-direction: column;
        min-height: 50px;
        position: relative;
        background-color: lighten($dark, 20%);
        ul {
            padding: 0;
            margin: 0;
            display: none;
            flex-direction: column;
            li {
                list-style: none;
            }
            a {
                display: block;
                padding: .5rem 15px;
                color: $light;
                text-decoration: none;
                &:hover {
                    transition: all .5s;
                    color: $primary;
                }
            }
        }
        span {
            color: $light;
            font-size: 30px;
            position: absolute;
            top: 12px;
            right: 15px;
        }
        h1{
            color: $light;
            padding-left: 15px;
        }
    }
    @media (min-width: $m-screen) {
        // à partir de 768px only
        nav {
            flex-direction: row;
            align-items: center;
            height: auto;
            ul {
                display: flex;
                flex-direction: row;
                    a{
                        padding: 1rem .5rem;
                    }
            }
            span{
                display: none;
            }
        }
    }
}